MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032251Open CASCADE[OCCT] OCCT:Documentationpublic2021-03-27 15:422021-04-03 12:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032251: Documentation, gendoc.tcl - reference manual excludes TKIVtk and other optional modules
DescriptionReference Manual doesn't include optional modules like IVtk:
https://dev.opencascade.org/doc/refman/html/module_visualization.html [^]

The reason is relying on Tcl scripts src/OS, which output depends on configuration files.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0099791)
git (administrator)
2021-03-27 15:48

Branch CR32251 has been created by kgv.

SHA-1: ec988879934a7e9557adb4aea24899a29195acd1


Detailed log of new commits:

Author: kgv
Date: Sat Mar 27 15:48:37 2021 +0300

    0032251: Documentation, gendoc.tcl - reference manual excludes TKIVtk and other optional modules
    
    gendoc.tcl -refman now temporarily sets HAVE_ environment variables for including optional modules.
(0099792)
kgv (developer)
2021-03-27 15:49

Patch is ready for review
- OCCT: branch CR32251.
(0099835)
git (administrator)
2021-03-29 23:00

Branch CR32251 has been updated forcibly by kgv.

SHA-1: 7ed6fdc0d2504418c36ab478b9d43999fbab7003
(0099837)
abv (manager)
2021-03-30 07:06

In gendoc.tcl, please use empty strings as default values of environment variables (empty string value means variable is not defined), instead of "false".
(0099841)
git (administrator)
2021-03-30 08:48

Branch CR32251 has been updated forcibly by kgv.

SHA-1: bb68343eb72049aa3f0700cfa6a482b8b31c49e1
(0099842)
kgv (developer)
2021-03-30 08:48

Corrected.
(0099865)
abv (manager)
2021-03-30 12:50

No remarks, please integrate
- OCCT: branch CR32251
(0100018)
bugmaster (administrator)
2021-04-03 11:56

Combination -
OCCT branch : IR-2021-04-02
master SHA - 5e4f263d1cfd948e6a91aa584919bb6d86256a86
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-02 SHA - 7cc5f9bb4eb61152ffc5290516ae20c649a33a55
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18055.90000000045 / 18179.810000000525 [-0.68%]
Products
Total CPU difference: 11506.800000000105 / 11565.220000000114 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19512.09375 / 19430.5 [+0.42%]
Products
Total CPU difference: 12943.234375 / 12843.765625 [+0.77%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100062)
git (administrator)
2021-04-03 12:50

Branch CR32251 has been deleted by inv.

SHA-1: bb68343eb72049aa3f0700cfa6a482b8b31c49e1

- Related Changesets
occt: master cdcb843e
Timestamp: 2021-03-27 12:48:37
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032251: Documentation, gendoc.tcl - reference manual excludes TKIVtk and other optional modules

gendoc.tcl -refman now temporarily sets HAVE_ environment variables for including optional modules.
mod - adm/gendoc.tcl Diff ] File ]
mod - src/OS/Draw.tcl Diff ] File ]
mod - src/OS/Visualization.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-27 15:42 kgv New Issue
2021-03-27 15:42 kgv Assigned To => abv
2021-03-27 15:45 kgv Summary Documentation, gendoc.tcl - reference manual doesn't include TKIVtk and other optional modules => Documentation, gendoc.tcl - reference manual excludes TKIVtk and other optional modules
2021-03-27 15:48 git Note Added: 0099791
2021-03-27 15:49 kgv Note Added: 0099792
2021-03-27 15:49 kgv Status new => resolved
2021-03-29 23:00 git Note Added: 0099835
2021-03-30 07:06 abv Note Added: 0099837
2021-03-30 07:06 abv Assigned To abv => kgv
2021-03-30 07:06 abv Status resolved => assigned
2021-03-30 08:48 git Note Added: 0099841
2021-03-30 08:48 kgv Note Added: 0099842
2021-03-30 08:48 kgv Assigned To kgv => abv
2021-03-30 08:48 kgv Status assigned => resolved
2021-03-30 12:50 abv Note Added: 0099865
2021-03-30 12:50 abv Assigned To abv => bugmaster
2021-03-30 12:50 abv Status resolved => reviewed
2021-04-03 11:56 bugmaster Note Added: 0100018
2021-04-03 11:56 bugmaster Status reviewed => tested
2021-04-03 12:02 bugmaster Test case number => Not required
2021-04-03 12:13 bugmaster Changeset attached => occt master cdcb843e
2021-04-03 12:13 bugmaster Status tested => verified
2021-04-03 12:13 bugmaster Resolution open => fixed
2021-04-03 12:50 git Note Added: 0100062


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker